import Flutter
import UIKit
import TestFlutterDynamic
import TestFlutterStaticLib
import OTAFramework
import RTKOTASDK
import RTKLEFoundation
import CRPSmartBand

public class SwiftTestIoslibframworkFlutterPlugin: NSObject, FlutterPlugin {
  public static func register(with registrar: FlutterPluginRegistrar) {
    let channel = FlutterMethodChannel(name: "test_ioslibframwork_flutter_plugin", binaryMessenger: registrar.messenger())
    let instance = SwiftTestIoslibframworkFlutterPlugin()
    registrar.addMethodCallDelegate(instance, channel: channel)
  }

  public func handle(_ call: FlutterMethodCall, result: @escaping FlutterResult) {
      
      let staticLib = StaticPrint()
      staticLib.printLog(WithString: "这是集成的静态库")
      let dynamicLib = Test()
      dynamicLib.startTest()
      CRPSmartBandSDK.sharedInstance.scan { datas in
          print("CRP扫描到了东西了")
      } completionHandler: { datas, err in
          print("CRP扫描完了")
      }

      
      
      
    result("iOS " + UIDevice.current.systemVersion)
  }
    

    
}

