import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'test_ioslibframwork_flutter_plugin_method_channel.dart';

abstract class TestIoslibframworkFlutterPluginPlatform extends PlatformInterface {
  /// Constructs a TestIoslibframworkFlutterPluginPlatform.
  TestIoslibframworkFlutterPluginPlatform() : super(token: _token);

  static final Object _token = Object();

  static TestIoslibframworkFlutterPluginPlatform _instance = MethodChannelTestIoslibframworkFlutterPlugin();

  /// The default instance of [TestIoslibframworkFlutterPluginPlatform] to use.
  ///
  /// Defaults to [MethodChannelTestIoslibframworkFlutterPlugin].
  static TestIoslibframworkFlutterPluginPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [TestIoslibframworkFlutterPluginPlatform] when
  /// they register themselves.
  static set instance(TestIoslibframworkFlutterPluginPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
